#
# spec file for package gap-convex
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           gap-convex
Summary:        GAP: A package for fan combinatorics
Version:        2013.12.05
Release:        lp152.3.2
License:        GPL-2.0
Group:          Productivity/Scientific/Math
Url:            http://wwwb.math.rwth-aachen.de/~gutsche/gap_packages/Convex/

Source:         https://www.gap-system.org/pub/gap/gap4/tar.bz2/packages/Convex-%version.tar.bz2
BuildRequires:  gap-rpm-devel
BuildRequires:  xz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       gap-core >= 4.5
Requires:       gap-modules >= 2011.08.11
Suggests:       gap-polymakeinterface >= 2013.07.29

%description
Convex provides structures and algorithms for convex geometry. It can
handle convex, fans and polytopes. Not only the structures are
provided, but also a collection of algorithms to handle those
objects. Basically, it provides convex geometry to GAP. It is capable
of communicating with the CAS polymake via the package
PolymakeInterface and also provides several methods by itself.

%prep
%setup -qn Convex

%build

%install
%gappkg_simple_install

%files -f %name.files
%defattr(-,root,root)

%changelog
* Sun Jun 19 2016 jengelh@inai.de
- Update to new upstream release 2013.12.05
  * No changelog was provided
* Fri May 10 2013 jengelh@inai.de
- Initial package (version 2012.11.15) for build.opensuse.org
